#include <iostream>
using namespace std;
int main(){
    int n,karta,i;
    cin>> n; // unosimo duzinu niza
    int niz[n];
    cin>>karta; // koju kartu je video gledalac
    for(i=0;i<n;i++){
        cin>>niz[i]; // unosimo elemente niza (karte spila)
    }
    for(i=0;i<n;i++){
    	if(karta == niz[i]){
    		if(i == n - 1){
    			cout<<"Karta koju je izabrao gledalac je: "<<niz[0];
			}
			else{
				cout<<"Karta koju je izabrao gledalac je: "<<niz[i+1];
			}
		}
	}
	return 0;
}